import { EventEmitter, OnInit } from '@angular/core';
import { MatDialog } from '@angular/material/dialog';
import { EventsService } from '../../services/events.service';
import { Point } from '@angular/cdk/drag-drop';
import * as i0 from "@angular/core";
export declare class HoverElementsComponent implements OnInit {
    private _eventService;
    private dialog;
    constructor(_eventService: EventsService, dialog: MatDialog);
    edit: EventEmitter<boolean>;
    data: any;
    index: any;
    editOptions?: boolean;
    isMerged: boolean;
    isEcommerce: boolean;
    ngOnInit(): void;
    isMenuOpen: boolean;
    toggleMenu(event: Event): void;
    onDocumentClick(): void;
    editSection(): void;
    restyleSection(event: any): void;
    changeContent(event: any): void;
    moveUp(event: any): void;
    moveDown(event: any): void;
    deleteSection(event: any): void;
    addSection(position: "ABOVE" | "BELOW", event: any): void;
    duplicateSection(event: any): void;
    point: Point;
    static ɵfac: i0.ɵɵFactoryDeclaration<HoverElementsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<HoverElementsComponent, "simpo-hover-elements", never, { "data": { "alias": "data"; "required": false; }; "index": { "alias": "index"; "required": false; }; "editOptions": { "alias": "editOptions"; "required": false; }; "isMerged": { "alias": "isMerged"; "required": false; }; "isEcommerce": { "alias": "isEcommerce"; "required": false; }; }, { "edit": "edit"; }, never, never, true, never>;
}
